2

I have a PostGIS database (2.1.3 on PostgreSQL 9.3.5) exposed as a WFS service with the geoserver (2.6-RC1). This table has 4 columns: an id, a String, a Date and a Point Geometry.

When calling DescribeFeatureType with Version 1.0.0, the XSD describes a complexe type with the 4 columns. But when I use 1.1.0 or 2.0.0 the XSD does not include the gml:PointPropertyType attribute refering my last colum of type Point Geometry. I'm then not able to do use any geographic/geometric filter on that WFS service.

The only difference I've seen is that the GML version used in reference in the output XSD is not the same (GML 2.1.2 for WFS 1.0.0, and GML 3.x for WFS 1.1.0 and 2.0.0).

What did I miss to let this work in 2.0.0 or 1.1.0 at least? PS: I need WFS > 1.0.0 to use time filters on my date column.

Edit: When configuring WFS service inside Geoserver, it seems that the "Override GML Attributes" check-box for GML 2 what checked by default, while for GML 3 and 3.2 it wasn't. Once these checkboxes are checked the returned XSD also contains my fourth column of type gml:PointPropertyType.

closed as unclear what you're asking by BradHards, user30184, PolyGeo Jul 23 '16 at 9:08

Please clarify your specific problem or add additional details to highlight exactly what you need. As it's currently written, it’s hard to tell exactly what you're asking. See the How to Ask page for help clarifying this question. If this question can be reworded to fit the rules in the help center, please edit the question.

  • Show the Create script of your table and I will try to reproduce the error tomorrow. Edit also your question and add your PostgreSQL and PostGIS versions. – user30184 Sep 3 '14 at 15:47

Browse other questions tagged or ask your own question.